Subject: Regarding invoice / 9648607643/ [email-masked] / 2368495
From: ARUNJAY RAJ <[email-masked]>
To: Seeta Seeta <[email-masked]>, Shakeeb Arsalan <[email-masked]>
Cc: Manish Kumar <[email-masked]>, Apoorv Joshi <[email-masked]>
Date: Wed, 7 Apr 2021 17:13:46 -0700 (MST)

Hi team, 

Customer request for the invoice of the order number 9648607643. 

Kindly do the needful, Thanks for the help. 

Regards, 
Arunjay